Appeals
GET
/v1/moderation/appeals
const url = 'https://api.gampeon.com/v1/moderation/appeals?status=open';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.gampeon.com/v1/moderation/appeals?status=open' \ --header 'Authorization: Bearer <token>'ownDecision shows whether you made the original decision yourself; appeals should be reviewed by someone else where possible.
Requires the role moderator or admin.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”status
string
Default: open
Responses
Section titled “Responses”Up to 200 appeals, oldest first
Media typeapplication/json
object
appeals
required
Array<object>
object
ownDecision
boolean
blocked
boolean
Example generated
{ "appeals": [ { "ownDecision": true, "blocked": true } ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: forbidden, token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}